Package ru.bitel.bgbilling.modules.dialup.server.bean

# Class CalculatePeriodManager

java.lang.Object
ru.bitel.bgbilling.modules.dialup.server.bean.CalculatePeriodManager

    public class CalculatePeriodManager
    extends java.lang.Object

Менеджер учетных периодов

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `CalculatePeriodManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `deletePeriod​(int id, int cid)` | Удаляет конкретный учетный период
  `CalculatePeriod` | `getPeriod​(int cid, int id)` | Возвращает конкретный учетный период для договора
  `java.util.List<CalculatePeriod>` | `getPeriodList​(int cid)` | Возвращает список учетных периодов для договора
  `boolean` | `updatePeriod​(int id, int cid, java.util.Calendar start, java.util.Calendar end)` | Изменяет\добавляет новый учетный период (с точностью до дня)
  `boolean` | `updatePeriod​(int id, int cid, java.util.Calendar start, java.util.Calendar end, boolean second)` | Изменяет\добавляет новый учетный период

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CalculatePeriodManager

    public CalculatePeriodManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getPeriodList

    public java.util.List<CalculatePeriod> getPeriodList​(int cid)
    Возвращает список учетных периодов для договора
    Parameters:
      `cid` - код договора
    Returns:
      список учетных периодов

  - ### getPeriod

    public CalculatePeriod getPeriod​(int cid, int id)
    Возвращает конкретный учетный период для договора
    Parameters:
      `cid` - код договора
      `id` - код учетного периода
    Returns:

  - ### updatePeriod

    public boolean updatePeriod​(int id, int cid, java.util.Calendar start, java.util.Calendar end)
    Изменяет\добавляет новый учетный период (с точностью до дня)
    Parameters:
      `id` - код учетного периода
      `cid` - код договора
      `start` - начало периода
      `end` - конец периода
    Returns:

  - ### updatePeriod

    public boolean updatePeriod​(int id, int cid, java.util.Calendar start, java.util.Calendar end, boolean second)
    Изменяет\добавляет новый учетный период
    Parameters:
      `id` - код учетного периода
      `cid` - код договора
      `start` - начало периода
      `end` - конец периода
      `\u043f\u043e\u0441\u0435\u043a\u0443\u043d\u0434\u043d\u044b\u0439` -
    Returns:

  - ### deletePeriod

    public boolean deletePeriod​(int id, int cid)
    Удаляет конкретный учетный период
    Parameters:
      `id` - код учетного периода
      `cid` - код договора
    Returns:
      true, если удаление было произведено успешно